require 'enc/version'
require 'enc/utils'
require 'enc/cache'
require 'enc/config'
require 'enc/collins_helper'
require 'enc/runner'
require 'enc/builder'

module Enc
  class << self
    HELP_FLAGS = %w(-h --help)

    include Enc::Utils::Logging

    def run(args)
      node = args[0]
      config_file = args[1]
      if not node
        logger.fatal('ENC called with no arguments!')
        usage
      elsif HELP_FLAGS.include?(node)
        usage
      else
        logger.info("Starting external node classifier for node #{node}")
        runner = Runner.new(Enc::Config.new(config_file))
        node_builder = runner.build(node)
        puts node_builder.to_yaml
        logger.info("Completed external node classifier for node #{node}")
      end
    end

    protected

    def usage
      puts 'Usage: j-enc <fqdn> [config_file]'
    end
  end
end