module Enc
  module CollinsHelper
    class Connection
      include Enc::Utils::Logging

      def initialize(config)
        @config = config
        @session = nil

      end

      def api
        unless @session
          logger.debug("Attempting to connect to #{@config.get('host')} as user #{@config.get('username')}")
          @session = Enc::CollinsHelper::Api.new(:host     => @config.get('host'),
                                                 :username => @config.get('username'),
                                                 :password => @config.get('password'),
                                                 :timeout  => @config.get('timeout'),
                                                 :strict   => true)
        end
        @session
      end

    end
  end
end